// creator  : weidu.exe (version 23100)
// argument : TRAVEL.DLG
// game		 : .
// source	 : ./DATA/DIALOG.BIF
// dialog	 : ./DIALOG.TLK
// dialogF  : (none)

BEGIN ~TRAVEL~
//////////////////////////////////////////////////
// WARNING: this file contains non-trivial WEIGHTs
//////////////////////////////////////////////////

IF WEIGHT #0 ~NumberOfTimesTalkedTo(0)
~ THEN BEGIN 0 // from:
  SAY #7927 /* ~I will help, but I must do so on my own. Tell me what to do and I will do it myself.~ */
  IF ~ReactionGT(LastTalkedToBy,NEUTRAL_UPPER)
~ THEN REPLY #7936 /* ~Quarter Staff +2~ */ GOTO 1
  IF ~ReactionLT(LastTalkedToBy,FRIENDLY_LOWER)
~ THEN REPLY #7937 /* ~Staff of Rynn +4~ */ GOTO 2
  IF ~ReactionGT(LastTalkedToBy,NEUTRAL_UPPER)
~ THEN REPLY #7938 /* ~Staff of the Woodlands +4~ */ GOTO 3
  IF ~ReactionLT(LastTalkedToBy,FRIENDLY_LOWER)
~ THEN REPLY #7939 /* ~Staff of the Magi~ */ GOTO 4
  IF ~ReactionGT(LastTalkedToBy,NEUTRAL_UPPER)
~ THEN REPLY #7940 /* ~Battle Axe +1~ */ GOTO 5
  IF ~ReactionLT(LastTalkedToBy,FRIENDLY_LOWER)
~ THEN REPLY #7941 /* ~Good.  We should seek druids near the grove first; they will be indications of how serious the problem is.  They may recognize me, but we shouldn't count on it.~ */ GOTO 6
END

IF ~~ THEN BEGIN 1 // from: 0.0
  SAY #7928 /* ~I will help, but I must do so on my own. Tell me what to do and I will do it myself.~ */
  IF ~~ THEN JOURNAL #7944 /* ~There's a WHAT in their chicken?

I purchased a Beljuril gem from a farmer in Imnesvale who had hidden it from thieves inside one of his chickens.  I paid the man a fair price, for which he was glad... apparently, his adventurer daughter had paid for the gem with her own life.~ */ EXIT
END

IF ~~ THEN BEGIN 2 // from: 0.1
  SAY #7929 /* ~I will help, but I must do so on my own. Tell me what to do and I will do it myself.~ */
  IF ~~ THEN JOURNAL #7944 /* ~There's a WHAT in their chicken?

I purchased a Beljuril gem from a farmer in Imnesvale who had hidden it from thieves inside one of his chickens.  I paid the man a fair price, for which he was glad... apparently, his adventurer daughter had paid for the gem with her own life.~ */ EXIT
END

IF ~~ THEN BEGIN 3 // from: 0.2
  SAY #7930 /* ~Protection From Magic Energy~ */
  IF ~~ THEN EXIT
END

IF ~~ THEN BEGIN 4 // from: 0.3
  SAY #7931 /* ~Protection From Magic Energy (Abjuration) 
Level: 6
Range: Touch 
Duration: 1 turn /level
Casting Time: 6
Area of Effect: Creature touched 
Saving Throw: None 

When the spell is cast it confers 100% invulnerability to all magic damage-based attacks such as magic missile or Abi Dalzim's Horrid Wilting.  This effect lasts for the duration of the spell or until dispelled.~ */
  IF ~~ THEN EXIT
END

IF ~~ THEN BEGIN 5 // from: 0.4
  SAY #7932 /* ~No, I am not.~ */
  IF ~~ THEN EXIT
END

IF ~~ THEN BEGIN 6 // from: 0.5
  SAY #7933 /* ~No, I am not.~ */
  IF ~~ THEN EXIT
END

IF WEIGHT #3 /* Triggers after states #: 9 even though they appear after this state */
~ReactionGT(LastTalkedToBy(),HOSTILE_UPPER)
~ THEN BEGIN 7 // from:
  SAY #7934 /* ~No, I am not.~ */
  IF ~~ THEN EXIT
END

IF WEIGHT #4 /* Triggers after states #: 9 even though they appear after this state */
~ReactionLT(LastTalkedToBy(),NEUTRAL_LOWER)
~ THEN BEGIN 8 // from:
  SAY #7935 /* ~Cleric's Staff +3~ */
  IF ~~ THEN EXIT
END

IF WEIGHT #1 ~StateCheck(Myself,STATE_CHARMED)
~ THEN BEGIN 9 // from:
  SAY #7942 /* ~We should first investigate the druids of this grove. They may recognize me and let us pass, though that would depend on how far into evil they are. Let's go.~ */
  IF ~~ THEN EXIT
END

IF ~~ THEN BEGIN 10 // from:
  SAY #9041 /* ~I am terribly sorry for this, as I am sorry for the loss of your servant. I always pity the messenger.~ */
  IF ~~ THEN EXIT
END
